Docs / Using the API

Tasks

List the server tasks recorded for a team, most recent first.

  1. Endpoint
  2. Query parameters
  3. Example request
  4. Example response

Returns the server tasks recorded for a team (for example deployments), most recent first.

Endpoint

GET /api/{team}/tasks

Required ability: tasks:read

Query parameters

Parameter Type Default Maximum Description
per_page integer 20 50 Number of objects per page.
page integer 1 N/A The page to retrieve.

Example request

curl "https://rocketeersapp.com/api/your-team/tasks?per_page=20" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Accept: application/json"

Example response

{
  "data": [
    {
      "id": 1,
      "uuid": "9f1c2b8e-3a4d-4f5b-9c6e-1a2b3c4d5e6f",
      "name": "Deploy apollo.com",
      "status": "finished",
      "deploys": true,
      "server_id": 1,
      "created_at": "2026-06-23T19:00:00+00:00"
    },
    {
      "id": 2,
      "uuid": "2b3c4d5e-6f70-4811-9a2b-3c4d5e6f7081",
      "name": "Restart PHP-FPM",
      "status": "finished",
      "deploys": false,
      "server_id": 2,
      "created_at": "2026-06-23T08:30:00+00:00"
    }
  ],
  "links": {
    "first": "https://rocketeersapp.com/api/your-team/tasks?page=1",
    "last": "https://rocketeersapp.com/api/your-team/tasks?page=4",
    "prev": null,
    "next": "https://rocketeersapp.com/api/your-team/tasks?page=2"
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 4,
    "per_page": 20,
    "to": 20,
    "total": 78,
    "path": "https://rocketeersapp.com/api/your-team/tasks"
  },
  "results": 20,
  "served_in": "12.19ms"
}